/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1571378739964_3623';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  config.errorMongo = {
    details: true,
  };
  config.errorHanler = {
    details: true,
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 8107,
    },
  };

  config.baseUrl = 'http://localhost:8101/api';

  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/smart',
    options: {
      user: 'root',
      pass: 'Ziyouyanfa#@!',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  // mq配置
  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'smart',
      password: 'smart123',
      vhost: 'smart',
    },
    app: true,
    agent: true,
  };

  return {
    ...config,
    ...userConfig,
  };
};
